#pragma once

#include "core/time.h"
#include "core/gameevent.h"

class ClassicArrowNote;

class Context
{
public:
    virtual ~Context() = default;

    virtual void input(ClassicArrowNote *note, kku::GameEvent&& input) const = 0;
    virtual void update(ClassicArrowNote *note, const kku::microsec &music_offset) const = 0;
};
